--- plugins/check_ntp_time.c.orig	2012-12-23 15:41:55.000000000 +0100
+++ plugins/check_ntp_time.c	2012-12-23 15:47:30.000000000 +0100
@@ -488,8 +488,6 @@
  			ocrit = optarg;
  			break;
  		case 'H':
- 			if(is_host(optarg) == FALSE)
- 				usage2(_("Invalid hostname/address"), optarg);
  			server_address = strdup(optarg);
  			break;
  		case 'p':
@@ -518,6 +516,8 @@
  	if(server_address == NULL){
  		usage4(_("Hostname was not supplied"));
  	}
+ 	if(is_host(server_address) == FALSE)
+ 		usage2(_("Invalid hostname/address"), server_address);
  
  	return 0;
  }
@@ -610,6 +610,7 @@
  	printf (" %s\n", "-c, --critical=THRESHOLD");
  	printf ("    %s\n", _("Offset to result in critical status (seconds)"));
  	printf (UT_TIMEOUT, DEFAULT_SOCKET_TIMEOUT);
+     printf (UT_IPv46);
  	printf (UT_VERBOSE);
  
  	printf("\n");
--- plugins/netutils.c.orig	2012-12-23 14:09:54.000000000 +0100
+++ plugins/netutils.c	2012-12-23 16:15:14.000000000 +0100
@@ -353,6 +353,29 @@
  	struct addrinfo *res;
  	int retval;
  
+ #ifdef _AIX
+ 	if (family == AF_INET) {
+         char dst[INET_ADDRSTRLEN];
+         retval = inet_pton(family, address, dst);
+ 	    if (retval == 1)
+ 		    return TRUE;
+ #ifdef USE_IPV6
+     } else if (family == AF_INET6) {
+         struct sockaddr_in6 dst;
+         retval = inet_pton6_zone(address, &dst); 
+ 	    if (retval == 1)
+ 		    return TRUE;
+ #endif /* USE_IPV6 */
+     } else {
+         printf ("%s\n", _("Unknown adress family"));
+     }
+ #else
+     char dst[INET_ADDRSTRLEN];
+     retval = inet_pton(family, address, dst);
+ 	if (retval == 1)
+         return TRUE;
+ #endif /* _AIX */
+ 
  	memset (&hints, 0, sizeof (hints));
  	hints.ai_family = family;
  	retval = getaddrinfo (address, NULL, &hints, &res);
